from tqdm import tqdm

def _tqdm(iter, desc="", total=None, verbose=True):
    if verbose:
        if total is not None:
            return tqdm(iter, desc=desc, total=total)
        return tqdm(iter, desc=desc)
    else:
        return iter